%define upstream_name    Games-Solitaire-Verify
%define upstream_version 0.1102

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Process and verify solitaire games
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a CPAN Perl module that verifies the solutions of various variants
of card Solitaire. It does not aim to try to be a solver for them, because
this is too CPU intensive to be adequately done using perl5 (as of
perl-5.10.0). If you're interested in the latter, look at:

* * http://fc-solve.berlios.de/

* * http://fc-solve.berlios.de/links.html#other_solvers

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/verify-solitaire-solution
%{_bindir}/expand-solitaire-multi-card-moves
%{_mandir}/man1/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.110.200-2.mga3
+ Revision: 367625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 14 2012 shlomif <shlomif> 0.110.200-1.mga3
+ Revision: 293900
- update to 0.1102

* Mon Sep 10 2012 shlomif <shlomif> 0.110.100-2.mga3
+ Revision: 291989
- New version/rel 0.1101-2
- New version 0.1101

* Fri Dec 16 2011 shlomif <shlomif> 0.100.0-1.mga2
+ Revision: 182820
- Correct the licence to MIT.
- imported package perl-Games-Solitaire-Verify

